# ConversionServiceConverter<S, T> class

A Converter that delegates to a ConversionService for converting values.

This wrapper allows a ConversionService to be plugged into APIs that require a Converter, using a fixed target type.

### 🔧 Example:

    final service = DefaultConversionService();
    final converter = ConversionServiceConverter<String, int>(service, Class<int>());
    final result = converter.convert("123");
    print(result); // 123

Throws ConversionException if the conversion fails or returns `null`.

Implemented types
  - Converter<S, T>
Annotations
  - @Generic(ConversionServiceConverter)

## Constructors

ConversionServiceConverter.new(ConversionService _conversionService, Class<T> targetType)
  A Converter that delegates to a ConversionService for converting values.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
targetType → Class<T>
  final

## Methods

convert(S source) → T
  A generic interface for converting an input of type `S` into an output of type `T`.
  override
getPackageName() → String
  Represents an abstraction for identifying the package that an object, resource, or service belongs to.
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited